package reparto_izca.keymon.lat;

import anywheresoftware.b4a.BA;
import anywheresoftware.b4a.pc.*;

public class tracker_subs_0 {


public static RemoteObject  _createlocationrequest() throws Exception{
try {
		Debug.PushSubsStack("CreateLocationRequest (tracker) ","tracker",30,tracker.processBA,tracker.mostCurrent,119);
if (RapidSub.canDelegate("createlocationrequest")) { return reparto_izca.keymon.lat.tracker.remoteMe.runUserSub(false, "tracker","createlocationrequest");}
RemoteObject _lr = RemoteObject.declareNull("uk.co.martinpearman.b4a.fusedlocationprovider.LocationRequest");
 BA.debugLineNum = 119;BA.debugLine="Private Sub CreateLocationRequest As LocationReque";
Debug.ShouldStop(4194304);
 BA.debugLineNum = 120;BA.debugLine="If B4XPages.MainPage.logger Then Log(\"CreateLocat";
Debug.ShouldStop(8388608);
if (tracker.mostCurrent._b4xpages.runMethod(false,"_mainpage" /*RemoteObject*/ ,tracker.processBA).getField(true,"_logger" /*RemoteObject*/ ).<Boolean>get().booleanValue()) { 
tracker.mostCurrent.__c.runVoidMethod ("LogImpl","873596929",RemoteObject.createImmutable("CreateLocationRequest"),0);};
 BA.debugLineNum = 121;BA.debugLine="Dim lr As LocationRequest";
Debug.ShouldStop(16777216);
_lr = RemoteObject.createNew ("uk.co.martinpearman.b4a.fusedlocationprovider.LocationRequest");Debug.locals.put("lr", _lr);
 BA.debugLineNum = 122;BA.debugLine="lr.Initialize";
Debug.ShouldStop(33554432);
_lr.runVoidMethod ("Initialize");
 BA.debugLineNum = 123;BA.debugLine="lr.SetInterval(10000) 'Intervalo deseado para act";
Debug.ShouldStop(67108864);
_lr.runVoidMethod ("SetInterval",(Object)(BA.numberCast(long.class, 10000)));
 BA.debugLineNum = 124;BA.debugLine="lr.SetFastestInterval(lr.GetInterval / 2) 'Interv";
Debug.ShouldStop(134217728);
_lr.runVoidMethod ("SetFastestInterval",(Object)(BA.numberCast(long.class, RemoteObject.solve(new RemoteObject[] {_lr.runMethod(true,"GetInterval"),RemoteObject.createImmutable(2)}, "/",0, 0))));
 BA.debugLineNum = 125;BA.debugLine="lr.SetSmallestDisplacement(75) 'Solo registra cam";
Debug.ShouldStop(268435456);
_lr.runVoidMethod ("SetSmallestDisplacement",(Object)(BA.numberCast(float.class, 75)));
 BA.debugLineNum = 126;BA.debugLine="lr.SetPriority(lr.Priority.PRIORITY_HIGH_ACCURACY";
Debug.ShouldStop(536870912);
_lr.runVoidMethod ("SetPriority",(Object)(_lr.getField(false,"Priority").getField(true,"PRIORITY_HIGH_ACCURACY")));
 BA.debugLineNum = 127;BA.debugLine="actualLR=lr";
Debug.ShouldStop(1073741824);
tracker._actuallr = _lr;
 BA.debugLineNum = 128;BA.debugLine="Return lr";
Debug.ShouldStop(-2147483648);
if (true) return _lr;
 BA.debugLineNum = 129;BA.debugLine="End Sub";
Debug.ShouldStop(1);
return RemoteObject.createImmutable(null);
}
catch (Exception e) {
			throw Debug.ErrorCaught(e);
		} 
finally {
			Debug.PopSubsStack();
		}}
public static RemoteObject  _createlocationrequest2times() throws Exception{
try {
		Debug.PushSubsStack("CreateLocationRequest2times (tracker) ","tracker",30,tracker.processBA,tracker.mostCurrent,131);
if (RapidSub.canDelegate("createlocationrequest2times")) { return reparto_izca.keymon.lat.tracker.remoteMe.runUserSub(false, "tracker","createlocationrequest2times");}
RemoteObject _lr = RemoteObject.declareNull("uk.co.martinpearman.b4a.fusedlocationprovider.LocationRequest");
 BA.debugLineNum = 131;BA.debugLine="Private Sub CreateLocationRequest2times As Locatio";
Debug.ShouldStop(4);
 BA.debugLineNum = 132;BA.debugLine="If B4XPages.MainPage.logger Then Log(\"Iniciamos C";
Debug.ShouldStop(8);
if (tracker.mostCurrent._b4xpages.runMethod(false,"_mainpage" /*RemoteObject*/ ,tracker.processBA).getField(true,"_logger" /*RemoteObject*/ ).<Boolean>get().booleanValue()) { 
tracker.mostCurrent.__c.runVoidMethod ("LogImpl","873662465",RemoteObject.createImmutable("Iniciamos CreateLocationRequest2times"),0);};
 BA.debugLineNum = 133;BA.debugLine="Dim lr As LocationRequest";
Debug.ShouldStop(16);
_lr = RemoteObject.createNew ("uk.co.martinpearman.b4a.fusedlocationprovider.LocationRequest");Debug.locals.put("lr", _lr);
 BA.debugLineNum = 134;BA.debugLine="lr.Initialize";
Debug.ShouldStop(32);
_lr.runVoidMethod ("Initialize");
 BA.debugLineNum = 135;BA.debugLine="lr.SetInterval(2000) 'Intervalo deseado para actu";
Debug.ShouldStop(64);
_lr.runVoidMethod ("SetInterval",(Object)(BA.numberCast(long.class, 2000)));
 BA.debugLineNum = 136;BA.debugLine="lr.SetFastestInterval(lr.GetInterval / 2) 'Interv";
Debug.ShouldStop(128);
_lr.runVoidMethod ("SetFastestInterval",(Object)(BA.numberCast(long.class, RemoteObject.solve(new RemoteObject[] {_lr.runMethod(true,"GetInterval"),RemoteObject.createImmutable(2)}, "/",0, 0))));
 BA.debugLineNum = 137;BA.debugLine="lr.setNumUpdates(2) 'Solicitamos solo 2 actualiza";
Debug.ShouldStop(256);
_lr.runVoidMethod ("SetNumUpdates",(Object)(BA.numberCast(int.class, 2)));
 BA.debugLineNum = 138;BA.debugLine="lr.SetSmallestDisplacement(10) 'Solo registra cam";
Debug.ShouldStop(512);
_lr.runVoidMethod ("SetSmallestDisplacement",(Object)(BA.numberCast(float.class, 10)));
 BA.debugLineNum = 139;BA.debugLine="lr.SetPriority(lr.Priority.PRIORITY_HIGH_ACCURACY";
Debug.ShouldStop(1024);
_lr.runVoidMethod ("SetPriority",(Object)(_lr.getField(false,"Priority").getField(true,"PRIORITY_HIGH_ACCURACY")));
 BA.debugLineNum = 140;BA.debugLine="actualLR=lr";
Debug.ShouldStop(2048);
tracker._actuallr = _lr;
 BA.debugLineNum = 141;BA.debugLine="Return lr";
Debug.ShouldStop(4096);
if (true) return _lr;
 BA.debugLineNum = 142;BA.debugLine="End Sub";
Debug.ShouldStop(8192);
return RemoteObject.createImmutable(null);
}
catch (Exception e) {
			throw Debug.ErrorCaught(e);
		} 
finally {
			Debug.PopSubsStack();
		}}
public static RemoteObject  _createnotification(RemoteObject _body) throws Exception{
try {
		Debug.PushSubsStack("CreateNotification (tracker) ","tracker",30,tracker.processBA,tracker.mostCurrent,206);
if (RapidSub.canDelegate("createnotification")) { return reparto_izca.keymon.lat.tracker.remoteMe.runUserSub(false, "tracker","createnotification", _body);}
RemoteObject _notification = RemoteObject.declareNull("anywheresoftware.b4a.objects.NotificationWrapper");
Debug.locals.put("Body", _body);
 BA.debugLineNum = 206;BA.debugLine="Sub CreateNotification (Body As String) As Notific";
Debug.ShouldStop(8192);
 BA.debugLineNum = 207;BA.debugLine="Dim notification As Notification";
Debug.ShouldStop(16384);
_notification = RemoteObject.createNew ("anywheresoftware.b4a.objects.NotificationWrapper");Debug.locals.put("notification", _notification);
 BA.debugLineNum = 208;BA.debugLine="notification.Initialize2(notification.IMPORTANCE_";
Debug.ShouldStop(32768);
_notification.runVoidMethod ("Initialize2",(Object)(_notification.getField(true,"IMPORTANCE_LOW")));
 BA.debugLineNum = 209;BA.debugLine="notification.Icon = \"icon\"";
Debug.ShouldStop(65536);
_notification.runVoidMethod ("setIcon",BA.ObjectToString("icon"));
 BA.debugLineNum = 210;BA.debugLine="notification.SetInfo(\"IZCA REPARTO\", Body, Main)";
Debug.ShouldStop(131072);
_notification.runVoidMethod ("SetInfoNew",tracker.processBA,(Object)(BA.ObjectToCharSequence("IZCA REPARTO")),(Object)(BA.ObjectToCharSequence(_body)),(Object)((tracker.mostCurrent._main.getObject())));
 BA.debugLineNum = 211;BA.debugLine="Return notification";
Debug.ShouldStop(262144);
if (true) return _notification;
 BA.debugLineNum = 212;BA.debugLine="End Sub";
Debug.ShouldStop(524288);
return RemoteObject.createImmutable(null);
}
catch (Exception e) {
			throw Debug.ErrorCaught(e);
		} 
finally {
			Debug.PopSubsStack();
		}}
public static RemoteObject  _dameultimaubicacionconocida() throws Exception{
try {
		Debug.PushSubsStack("dameUltimaUbicacionConocida (tracker) ","tracker",30,tracker.processBA,tracker.mostCurrent,144);
if (RapidSub.canDelegate("dameultimaubicacionconocida")) { return reparto_izca.keymon.lat.tracker.remoteMe.runUserSub(false, "tracker","dameultimaubicacionconocida");}
RemoteObject _coords = RemoteObject.createImmutable("");
 BA.debugLineNum = 144;BA.debugLine="Sub dameUltimaUbicacionConocida";
Debug.ShouldStop(32768);
 BA.debugLineNum = 145;BA.debugLine="If FLP.GetLastKnownLocation.IsInitialized Then 'M";
Debug.ShouldStop(65536);
if (tracker._flp.runMethod(false,"GetLastKnownLocation").runMethod(true,"IsInitialized").<Boolean>get().booleanValue()) { 
 BA.debugLineNum = 147;BA.debugLine="If B4XPages.MainPage.Logger Then LogColor($\"Mand";
Debug.ShouldStop(262144);
if (tracker.mostCurrent._b4xpages.runMethod(false,"_mainpage" /*RemoteObject*/ ,tracker.processBA).getField(true,"_logger" /*RemoteObject*/ ).<Boolean>get().booleanValue()) { 
tracker.mostCurrent.__c.runVoidMethod ("LogImpl","873728003",(RemoteObject.concat(RemoteObject.createImmutable("Mandamos UUC \""),tracker.mostCurrent.__c.runMethod(true,"SmartStringFormatter",(Object)(BA.ObjectToString("")),(Object)((tracker.mostCurrent._subs.runMethod(true,"_fechakmt" /*RemoteObject*/ ,tracker.processBA,(Object)(BA.NumberToString(tracker._flp.runMethod(false,"GetLastKnownLocation").runMethod(true,"getTime"))))))),RemoteObject.createImmutable("|Acc:"),tracker.mostCurrent.__c.runMethod(true,"SmartStringFormatter",(Object)(BA.ObjectToString("0.2")),(Object)((tracker._flp.runMethod(false,"GetLastKnownLocation").runMethod(true,"getAccuracy")))),RemoteObject.createImmutable("|"),tracker.mostCurrent.__c.runMethod(true,"SmartStringFormatter",(Object)(BA.ObjectToString("0.8")),(Object)((tracker._flp.runMethod(false,"GetLastKnownLocation").runMethod(true,"getLatitude")))),RemoteObject.createImmutable("|"),tracker.mostCurrent.__c.runMethod(true,"SmartStringFormatter",(Object)(BA.ObjectToString("0.8")),(Object)((tracker._flp.runMethod(false,"GetLastKnownLocation").runMethod(true,"getLongitude")))),RemoteObject.createImmutable("|Spd:"),tracker.mostCurrent.__c.runMethod(true,"SmartStringFormatter",(Object)(BA.ObjectToString("0.2")),(Object)((tracker._flp.runMethod(false,"GetLastKnownLocation").runMethod(true,"getSpeed")))),RemoteObject.createImmutable("|"))),tracker.mostCurrent.__c.getField(false,"Colors").runMethod(true,"RGB",(Object)(BA.numberCast(int.class, 255)),(Object)(BA.numberCast(int.class, 112)),(Object)(BA.numberCast(int.class, 35))));};
 BA.debugLineNum = 148;BA.debugLine="Dim coords As String = FLP.GetLastKnownLocation.";
Debug.ShouldStop(524288);
_coords = RemoteObject.concat(tracker._flp.runMethod(false,"GetLastKnownLocation").runMethod(true,"getLatitude"),RemoteObject.createImmutable(","),tracker._flp.runMethod(false,"GetLastKnownLocation").runMethod(true,"getLongitude"),RemoteObject.createImmutable(","),_formatofecha(BA.NumberToString(tracker._flp.runMethod(false,"GetLastKnownLocation").runMethod(true,"getTime"))));Debug.locals.put("coords", _coords);Debug.locals.put("coords", _coords);
 BA.debugLineNum = 150;BA.debugLine="Subs.mandamosLoc(coords)";
Debug.ShouldStop(2097152);
tracker.mostCurrent._subs.runVoidMethod ("_mandamosloc" /*RemoteObject*/ ,tracker.processBA,(Object)(_coords));
 };
 BA.debugLineNum = 152;BA.debugLine="End Sub";
Debug.ShouldStop(8388608);
return RemoteObject.createImmutable("");
}
catch (Exception e) {
			throw Debug.ErrorCaught(e);
		} 
finally {
			Debug.PopSubsStack();
		}}
public static RemoteObject  _flp_connectionfailed(RemoteObject _connectionresult1) throws Exception{
try {
		Debug.PushSubsStack("flp_ConnectionFailed (tracker) ","tracker",30,tracker.processBA,tracker.mostCurrent,59);
if (RapidSub.canDelegate("flp_connectionfailed")) { return reparto_izca.keymon.lat.tracker.remoteMe.runUserSub(false, "tracker","flp_connectionfailed", _connectionresult1);}
Debug.locals.put("ConnectionResult1", _connectionresult1);
 BA.debugLineNum = 59;BA.debugLine="Sub flp_ConnectionFailed(ConnectionResult1 As Int)";
Debug.ShouldStop(67108864);
 BA.debugLineNum = 60;BA.debugLine="If B4XPages.MainPage.logger Then Log(\"Failed to c";
Debug.ShouldStop(134217728);
if (tracker.mostCurrent._b4xpages.runMethod(false,"_mainpage" /*RemoteObject*/ ,tracker.processBA).getField(true,"_logger" /*RemoteObject*/ ).<Boolean>get().booleanValue()) { 
tracker.mostCurrent.__c.runVoidMethod ("LogImpl","873203713",RemoteObject.createImmutable("Failed to connect to location provider"),0);};
 BA.debugLineNum = 61;BA.debugLine="End Sub";
Debug.ShouldStop(268435456);
return RemoteObject.createImmutable("");
}
catch (Exception e) {
			throw Debug.ErrorCaught(e);
		} 
finally {
			Debug.PopSubsStack();
		}}
public static RemoteObject  _flp_connectionsuccess() throws Exception{
try {
		Debug.PushSubsStack("flp_ConnectionSuccess (tracker) ","tracker",30,tracker.processBA,tracker.mostCurrent,54);
if (RapidSub.canDelegate("flp_connectionsuccess")) { return reparto_izca.keymon.lat.tracker.remoteMe.runUserSub(false, "tracker","flp_connectionsuccess");}
 BA.debugLineNum = 54;BA.debugLine="Sub flp_ConnectionSuccess";
Debug.ShouldStop(2097152);
 BA.debugLineNum = 57;BA.debugLine="End Sub";
Debug.ShouldStop(16777216);
return RemoteObject.createImmutable("");
}
catch (Exception e) {
			throw Debug.ErrorCaught(e);
		} 
finally {
			Debug.PopSubsStack();
		}}
public static RemoteObject  _flp_connectionsuspended(RemoteObject _connectionresult1) throws Exception{
try {
		Debug.PushSubsStack("flp_ConnectionSuspended (tracker) ","tracker",30,tracker.processBA,tracker.mostCurrent,63);
if (RapidSub.canDelegate("flp_connectionsuspended")) { return reparto_izca.keymon.lat.tracker.remoteMe.runUserSub(false, "tracker","flp_connectionsuspended", _connectionresult1);}
Debug.locals.put("ConnectionResult1", _connectionresult1);
 BA.debugLineNum = 63;BA.debugLine="Sub flp_ConnectionSuspended(ConnectionResult1 As I";
Debug.ShouldStop(1073741824);
 BA.debugLineNum = 64;BA.debugLine="If B4XPages.MainPage.logger Then Log(\"FLP conecti";
Debug.ShouldStop(-2147483648);
if (tracker.mostCurrent._b4xpages.runMethod(false,"_mainpage" /*RemoteObject*/ ,tracker.processBA).getField(true,"_logger" /*RemoteObject*/ ).<Boolean>get().booleanValue()) { 
tracker.mostCurrent.__c.runVoidMethod ("LogImpl","873269249",RemoteObject.createImmutable("FLP conection suspended"),0);};
 BA.debugLineNum = 65;BA.debugLine="StartFLP";
Debug.ShouldStop(1);
_startflp();
 BA.debugLineNum = 66;BA.debugLine="End Sub";
Debug.ShouldStop(2);
return RemoteObject.createImmutable("");
}
catch (Exception e) {
			throw Debug.ErrorCaught(e);
		} 
finally {
			Debug.PopSubsStack();
		}}
public static RemoteObject  _flp_locationchanged(RemoteObject _location1) throws Exception{
try {
		Debug.PushSubsStack("flp_LocationChanged (tracker) ","tracker",30,tracker.processBA,tracker.mostCurrent,162);
if (RapidSub.canDelegate("flp_locationchanged")) { return reparto_izca.keymon.lat.tracker.remoteMe.runUserSub(false, "tracker","flp_locationchanged", _location1);}
RemoteObject _sdate = RemoteObject.createImmutable("");
RemoteObject _stime = RemoteObject.createImmutable("");
RemoteObject _coords = RemoteObject.createImmutable("");
RemoteObject _origformat = RemoteObject.createImmutable("");
RemoteObject _minsdif = RemoteObject.createImmutable(0);
Debug.locals.put("Location1", _location1);
 BA.debugLineNum = 162;BA.debugLine="Sub flp_LocationChanged (Location1 As Location)";
Debug.ShouldStop(2);
 BA.debugLineNum = 163;BA.debugLine="Starter.trackerActividad = Subs.fechaKMT(DateTime";
Debug.ShouldStop(4);
tracker.mostCurrent._starter._trackeractividad /*RemoteObject*/  = tracker.mostCurrent._subs.runMethod(true,"_fechakmt" /*RemoteObject*/ ,tracker.processBA,(Object)(BA.NumberToString(tracker.mostCurrent.__c.getField(false,"DateTime").runMethod(true,"getNow"))));
 BA.debugLineNum = 164;BA.debugLine="UUGCoords = Location1";
Debug.ShouldStop(8);
tracker._uugcoords = _location1;
 BA.debugLineNum = 166;BA.debugLine="CallSub2(Starter, \"GPS_LocationChanged\", Location";
Debug.ShouldStop(32);
tracker.mostCurrent.__c.runMethodAndSync(false,"CallSubNew2",tracker.processBA,(Object)((tracker.mostCurrent._starter.getObject())),(Object)(BA.ObjectToString("GPS_LocationChanged")),(Object)((_location1)));
 BA.debugLineNum = 169;BA.debugLine="B4XPages.MainPage.lat_gps = Location1.Latitude";
Debug.ShouldStop(256);
tracker.mostCurrent._b4xpages.runMethod(false,"_mainpage" /*RemoteObject*/ ,tracker.processBA).setField ("_lat_gps" /*RemoteObject*/ ,BA.NumberToString(_location1.runMethod(true,"getLatitude")));
 BA.debugLineNum = 170;BA.debugLine="B4XPages.MainPage.lon_gps = Location1.Longitude";
Debug.ShouldStop(512);
tracker.mostCurrent._b4xpages.runMethod(false,"_mainpage" /*RemoteObject*/ ,tracker.processBA).setField ("_lon_gps" /*RemoteObject*/ ,BA.NumberToString(_location1.runMethod(true,"getLongitude")));
 BA.debugLineNum = 172;BA.debugLine="Dim sDate,sTime As String";
Debug.ShouldStop(2048);
_sdate = RemoteObject.createImmutable("");Debug.locals.put("sDate", _sdate);
_stime = RemoteObject.createImmutable("");Debug.locals.put("sTime", _stime);
 BA.debugLineNum = 173;BA.debugLine="DateTime.DateFormat = \"MM/dd/yyyy\"";
Debug.ShouldStop(4096);
tracker.mostCurrent.__c.getField(false,"DateTime").runMethod(true,"setDateFormat",BA.ObjectToString("MM/dd/yyyy"));
 BA.debugLineNum = 174;BA.debugLine="sDate=DateTime.Date(DateTime.Now)";
Debug.ShouldStop(8192);
_sdate = tracker.mostCurrent.__c.getField(false,"DateTime").runMethod(true,"Date",(Object)(tracker.mostCurrent.__c.getField(false,"DateTime").runMethod(true,"getNow")));Debug.locals.put("sDate", _sdate);
 BA.debugLineNum = 175;BA.debugLine="sTime=DateTime.Time(DateTime.Now)";
Debug.ShouldStop(16384);
_stime = tracker.mostCurrent.__c.getField(false,"DateTime").runMethod(true,"Time",(Object)(tracker.mostCurrent.__c.getField(false,"DateTime").runMethod(true,"getNow")));Debug.locals.put("sTime", _stime);
 BA.debugLineNum = 176;BA.debugLine="Try";
Debug.ShouldStop(32768);
try { BA.debugLineNum = 177;BA.debugLine="Starter.skmt.ExecNonQuery(\"DELETE FROM HIST_GPS\"";
Debug.ShouldStop(65536);
tracker.mostCurrent._starter._skmt /*RemoteObject*/ .runVoidMethod ("ExecNonQuery",(Object)(RemoteObject.createImmutable("DELETE FROM HIST_GPS")));
 BA.debugLineNum = 178;BA.debugLine="Starter.skmt.ExecNonQuery2(\"INSERT INTO HIST_GPS";
Debug.ShouldStop(131072);
tracker.mostCurrent._starter._skmt /*RemoteObject*/ .runVoidMethod ("ExecNonQuery2",(Object)(BA.ObjectToString("INSERT INTO HIST_GPS (HGDATE, HGLAT, HGLON) VALUES(?,?,?) ")),(Object)(tracker.mostCurrent.__c.runMethod(false, "ArrayToList", (Object)(RemoteObject.createNewArray("Object",new int[] {3},new Object[] {(RemoteObject.concat(_sdate,_stime)),(tracker.mostCurrent._b4xpages.runMethod(false,"_mainpage" /*RemoteObject*/ ,tracker.processBA).getField(true,"_lat_gps" /*RemoteObject*/ )),(tracker.mostCurrent._b4xpages.runMethod(false,"_mainpage" /*RemoteObject*/ ,tracker.processBA).getField(true,"_lon_gps" /*RemoteObject*/ ))})))));
 Debug.CheckDeviceExceptions();
} 
       catch (Exception e14) {
			BA.rdebugUtils.runVoidMethod("setLastException",tracker.processBA, e14.toString()); BA.debugLineNum = 180;BA.debugLine="If B4XPages.MainPage.logger Then Log(\"Error al b";
Debug.ShouldStop(524288);
if (tracker.mostCurrent._b4xpages.runMethod(false,"_mainpage" /*RemoteObject*/ ,tracker.processBA).getField(true,"_logger" /*RemoteObject*/ ).<Boolean>get().booleanValue()) { 
tracker.mostCurrent.__c.runVoidMethod ("LogImpl","873859090",RemoteObject.createImmutable("Error al borrar o insertar nuevas coordendas en HIST_GPS"),0);};
 };
 BA.debugLineNum = 183;BA.debugLine="Dim coords As String = Location1.Latitude&\",\"&Loc";
Debug.ShouldStop(4194304);
_coords = RemoteObject.concat(_location1.runMethod(true,"getLatitude"),RemoteObject.createImmutable(","),_location1.runMethod(true,"getLongitude"),RemoteObject.createImmutable(","),_formatofecha(BA.NumberToString(_location1.runMethod(true,"getTime"))));Debug.locals.put("coords", _coords);Debug.locals.put("coords", _coords);
 BA.debugLineNum = 184;BA.debugLine="Log(\"Loc changed : \"&Location1.Latitude&\",\"&Locat";
Debug.ShouldStop(8388608);
tracker.mostCurrent.__c.runVoidMethod ("LogImpl","873859094",RemoteObject.concat(RemoteObject.createImmutable("Loc changed : "),_location1.runMethod(true,"getLatitude"),RemoteObject.createImmutable(","),_location1.runMethod(true,"getLongitude")),0);
 BA.debugLineNum = 185;BA.debugLine="If B4XPages.MainPage.logger Then Log(\"Mandamos Ub";
Debug.ShouldStop(16777216);
if (tracker.mostCurrent._b4xpages.runMethod(false,"_mainpage" /*RemoteObject*/ ,tracker.processBA).getField(true,"_logger" /*RemoteObject*/ ).<Boolean>get().booleanValue()) { 
tracker.mostCurrent.__c.runVoidMethod ("LogImpl","873859095",RemoteObject.createImmutable("Mandamos Ubicacion"),0);};
 BA.debugLineNum = 186;BA.debugLine="If B4XPages.MainPage.logger Then Log(locRequest)";
Debug.ShouldStop(33554432);
if (tracker.mostCurrent._b4xpages.runMethod(false,"_mainpage" /*RemoteObject*/ ,tracker.processBA).getField(true,"_logger" /*RemoteObject*/ ).<Boolean>get().booleanValue()) { 
tracker.mostCurrent.__c.runVoidMethod ("LogImpl","873859096",tracker._locrequest,0);};
 BA.debugLineNum = 188;BA.debugLine="If Location1.Accuracy < 100 Then";
Debug.ShouldStop(134217728);
if (RemoteObject.solveBoolean("<",_location1.runMethod(true,"getAccuracy"),BA.numberCast(double.class, 100))) { 
 BA.debugLineNum = 189;BA.debugLine="Subs.guardaInfoEnBD(coords)'Escribimos coordenad";
Debug.ShouldStop(268435456);
tracker.mostCurrent._subs.runVoidMethod ("_guardainfoenbd" /*RemoteObject*/ ,tracker.processBA,(Object)(_coords));
 BA.debugLineNum = 191;BA.debugLine="Subs.mandamosLoc(coords)";
Debug.ShouldStop(1073741824);
tracker.mostCurrent._subs.runVoidMethod ("_mandamosloc" /*RemoteObject*/ ,tracker.processBA,(Object)(_coords));
 };
 BA.debugLineNum = 193;BA.debugLine="Dim origFormat As String = DateTime.TimeFormat 'G";
Debug.ShouldStop(1);
_origformat = tracker.mostCurrent.__c.getField(false,"DateTime").runMethod(true,"getTimeFormat");Debug.locals.put("origFormat", _origformat);Debug.locals.put("origFormat", _origformat);
 BA.debugLineNum = 194;BA.debugLine="DateTime.TimeFormat = \"HHmmss\" ' Modificamos form";
Debug.ShouldStop(2);
tracker.mostCurrent.__c.getField(false,"DateTime").runMethod(true,"setTimeFormat",BA.ObjectToString("HHmmss"));
 BA.debugLineNum = 195;BA.debugLine="Dim minsDif As Int = DateTime.Time(DateTime.Now)";
Debug.ShouldStop(4);
_minsdif = BA.numberCast(int.class, RemoteObject.solve(new RemoteObject[] {BA.numberCast(double.class, tracker.mostCurrent.__c.getField(false,"DateTime").runMethod(true,"Time",(Object)(tracker.mostCurrent.__c.getField(false,"DateTime").runMethod(true,"getNow")))),BA.numberCast(double.class, tracker.mostCurrent._b4xpages.runMethod(false,"_mainpage" /*RemoteObject*/ ,tracker.processBA).getField(true,"_ultimaactualizaciongps" /*RemoteObject*/ ))}, "-",1, 0));Debug.locals.put("minsDif", _minsdif);Debug.locals.put("minsDif", _minsdif);
 BA.debugLineNum = 197;BA.debugLine="If Location1.Accuracy < 100 And minsDif > 240 The";
Debug.ShouldStop(16);
if (RemoteObject.solveBoolean("<",_location1.runMethod(true,"getAccuracy"),BA.numberCast(double.class, 100)) && RemoteObject.solveBoolean(">",_minsdif,BA.numberCast(double.class, 240))) { 
 BA.debugLineNum = 198;BA.debugLine="If B4XPages.MainPage.logger Then Log(\"actualizam";
Debug.ShouldStop(32);
if (tracker.mostCurrent._b4xpages.runMethod(false,"_mainpage" /*RemoteObject*/ ,tracker.processBA).getField(true,"_logger" /*RemoteObject*/ ).<Boolean>get().booleanValue()) { 
tracker.mostCurrent.__c.runVoidMethod ("LogImpl","873859108",RemoteObject.createImmutable("actualizamos Ubicacion Web"),0);};
 BA.debugLineNum = 199;BA.debugLine="CallSubDelayed(Starter, \"ENVIA_ULTIMA_GPS\")";
Debug.ShouldStop(64);
tracker.mostCurrent.__c.runVoidMethod ("CallSubDelayed",tracker.processBA,(Object)((tracker.mostCurrent._starter.getObject())),(Object)(RemoteObject.createImmutable("ENVIA_ULTIMA_GPS")));
 };
 BA.debugLineNum = 201;BA.debugLine="DateTime.TimeFormat = origFormat 'Regresamos form";
Debug.ShouldStop(256);
tracker.mostCurrent.__c.getField(false,"DateTime").runMethod(true,"setTimeFormat",_origformat);
 BA.debugLineNum = 203;BA.debugLine="Subs.monitor";
Debug.ShouldStop(1024);
tracker.mostCurrent._subs.runVoidMethod ("_monitor" /*RemoteObject*/ ,tracker.processBA);
 BA.debugLineNum = 204;BA.debugLine="End Sub";
Debug.ShouldStop(2048);
return RemoteObject.createImmutable("");
}
catch (Exception e) {
			throw Debug.ErrorCaught(e);
		} 
finally {
			Debug.PopSubsStack();
		}}
public static RemoteObject  _formatofecha(RemoteObject _fecha) throws Exception{
try {
		Debug.PushSubsStack("formatoFecha (tracker) ","tracker",30,tracker.processBA,tracker.mostCurrent,222);
if (RapidSub.canDelegate("formatofecha")) { return reparto_izca.keymon.lat.tracker.remoteMe.runUserSub(false, "tracker","formatofecha", _fecha);}
RemoteObject _origformat = RemoteObject.createImmutable("");
RemoteObject _lastupdate = RemoteObject.createImmutable("");
Debug.locals.put("fecha", _fecha);
 BA.debugLineNum = 222;BA.debugLine="Sub formatoFecha(fecha As String) As String 'Convi";
Debug.ShouldStop(536870912);
 BA.debugLineNum = 224;BA.debugLine="Dim OrigFormat As String = DateTime.DateFormat  '";
Debug.ShouldStop(-2147483648);
_origformat = tracker.mostCurrent.__c.getField(false,"DateTime").runMethod(true,"getDateFormat");Debug.locals.put("OrigFormat", _origformat);Debug.locals.put("OrigFormat", _origformat);
 BA.debugLineNum = 225;BA.debugLine="DateTime.DateFormat=\"yyMMddHHmmss\"";
Debug.ShouldStop(1);
tracker.mostCurrent.__c.getField(false,"DateTime").runMethod(true,"setDateFormat",BA.ObjectToString("yyMMddHHmmss"));
 BA.debugLineNum = 226;BA.debugLine="Dim lastUpdate As String=DateTime.Date(fecha)";
Debug.ShouldStop(2);
_lastupdate = tracker.mostCurrent.__c.getField(false,"DateTime").runMethod(true,"Date",(Object)(BA.numberCast(long.class, _fecha)));Debug.locals.put("lastUpdate", _lastupdate);Debug.locals.put("lastUpdate", _lastupdate);
 BA.debugLineNum = 227;BA.debugLine="DateTime.DateFormat=OrigFormat  'return to orig d";
Debug.ShouldStop(4);
tracker.mostCurrent.__c.getField(false,"DateTime").runMethod(true,"setDateFormat",_origformat);
 BA.debugLineNum = 229;BA.debugLine="Return lastUpdate";
Debug.ShouldStop(16);
if (true) return _lastupdate;
 BA.debugLineNum = 230;BA.debugLine="End Sub";
Debug.ShouldStop(32);
return RemoteObject.createImmutable("");
}
catch (Exception e) {
			throw Debug.ErrorCaught(e);
		} 
finally {
			Debug.PopSubsStack();
		}}
public static RemoteObject  _process_globals() throws Exception{
 //BA.debugLineNum = 29;BA.debugLine="Sub Process_Globals";
 //BA.debugLineNum = 30;BA.debugLine="Private nid As Int = 1";
tracker._nid = BA.numberCast(int.class, 1);
 //BA.debugLineNum = 31;BA.debugLine="dim Tracking As Boolean";
tracker._tracking = RemoteObject.createImmutable(false);
 //BA.debugLineNum = 32;BA.debugLine="Private lock As PhoneWakeState";
tracker._lock = RemoteObject.createNew ("anywheresoftware.b4a.phone.Phone.PhoneWakeState");
 //BA.debugLineNum = 34;BA.debugLine="Public FLP As FusedLocationProvider";
tracker._flp = RemoteObject.createNew ("uk.co.martinpearman.b4a.fusedlocationprovider.FusedLocationProviderWrapper");
 //BA.debugLineNum = 35;BA.debugLine="Dim actualLR As LocationRequest";
tracker._actuallr = RemoteObject.createNew ("uk.co.martinpearman.b4a.fusedlocationprovider.LocationRequest");
 //BA.debugLineNum = 36;BA.debugLine="Private flpStarted As Boolean";
tracker._flpstarted = RemoteObject.createImmutable(false);
 //BA.debugLineNum = 37;BA.debugLine="Dim locRequest As String";
tracker._locrequest = RemoteObject.createImmutable("");
 //BA.debugLineNum = 38;BA.debugLine="Dim UUGCoords As Location 'Ultima Ubicacion Guard";
tracker._uugcoords = RemoteObject.createNew ("anywheresoftware.b4a.gps.LocationWrapper");
 //BA.debugLineNum = 39;BA.debugLine="Dim trackerActividad, pushServiceActividad As Str";
tracker._trackeractividad = RemoteObject.createImmutable("");
tracker._pushserviceactividad = RemoteObject.createImmutable("");
 //BA.debugLineNum = 40;BA.debugLine="End Sub";
return RemoteObject.createImmutable("");
}
public static RemoteObject  _service_create() throws Exception{
try {
		Debug.PushSubsStack("Service_Create (tracker) ","tracker",30,tracker.processBA,tracker.mostCurrent,42);
if (RapidSub.canDelegate("service_create")) { return reparto_izca.keymon.lat.tracker.remoteMe.runUserSub(false, "tracker","service_create");}
 BA.debugLineNum = 42;BA.debugLine="Sub Service_Create";
Debug.ShouldStop(512);
 BA.debugLineNum = 43;BA.debugLine="Service.AutomaticForegroundMode = Service.AUTOMAT";
Debug.ShouldStop(1024);
tracker.mostCurrent._service.setField ("AutomaticForegroundMode",tracker.mostCurrent._service.getField(true,"AUTOMATIC_FOREGROUND_NEVER"));
 BA.debugLineNum = 44;BA.debugLine="UUGCoords.Initialize";
Debug.ShouldStop(2048);
tracker._uugcoords.runVoidMethod ("Initialize");
 BA.debugLineNum = 45;BA.debugLine="UUGCoords.Latitude = 0";
Debug.ShouldStop(4096);
tracker._uugcoords.runMethod(true,"setLatitude",BA.numberCast(double.class, 0));
 BA.debugLineNum = 46;BA.debugLine="UUGCoords.Longitude = 0";
Debug.ShouldStop(8192);
tracker._uugcoords.runMethod(true,"setLongitude",BA.numberCast(double.class, 0));
 BA.debugLineNum = 48;BA.debugLine="FLP.Initialize(\"flp\")";
Debug.ShouldStop(32768);
tracker._flp.runVoidMethod ("Initialize",tracker.processBA,(Object)(RemoteObject.createImmutable("flp")));
 BA.debugLineNum = 49;BA.debugLine="FLP.Connect";
Debug.ShouldStop(65536);
tracker._flp.runVoidMethod ("Connect");
 BA.debugLineNum = 50;BA.debugLine="lock.PartialLock";
Debug.ShouldStop(131072);
tracker._lock.runVoidMethod ("PartialLock",tracker.processBA);
 BA.debugLineNum = 51;BA.debugLine="StartFLP";
Debug.ShouldStop(262144);
_startflp();
 BA.debugLineNum = 52;BA.debugLine="End Sub";
Debug.ShouldStop(524288);
return RemoteObject.createImmutable("");
}
catch (Exception e) {
			throw Debug.ErrorCaught(e);
		} 
finally {
			Debug.PopSubsStack();
		}}
public static RemoteObject  _service_destroy() throws Exception{
try {
		Debug.PushSubsStack("Service_Destroy (tracker) ","tracker",30,tracker.processBA,tracker.mostCurrent,214);
if (RapidSub.canDelegate("service_destroy")) { return reparto_izca.keymon.lat.tracker.remoteMe.runUserSub(false, "tracker","service_destroy");}
 BA.debugLineNum = 214;BA.debugLine="Sub Service_Destroy";
Debug.ShouldStop(2097152);
 BA.debugLineNum = 215;BA.debugLine="If Tracking Then";
Debug.ShouldStop(4194304);
if (tracker._tracking.<Boolean>get().booleanValue()) { 
 BA.debugLineNum = 216;BA.debugLine="StopFLP";
Debug.ShouldStop(8388608);
_stopflp();
 };
 BA.debugLineNum = 218;BA.debugLine="Tracking = False";
Debug.ShouldStop(33554432);
tracker._tracking = tracker.mostCurrent.__c.getField(true,"False");
 BA.debugLineNum = 219;BA.debugLine="lock.ReleasePartialLock";
Debug.ShouldStop(67108864);
tracker._lock.runVoidMethod ("ReleasePartialLock");
 BA.debugLineNum = 220;BA.debugLine="End Sub";
Debug.ShouldStop(134217728);
return RemoteObject.createImmutable("");
}
catch (Exception e) {
			throw Debug.ErrorCaught(e);
		} 
finally {
			Debug.PopSubsStack();
		}}
public static RemoteObject  _service_start(RemoteObject _startingintent) throws Exception{
try {
		Debug.PushSubsStack("Service_Start (tracker) ","tracker",30,tracker.processBA,tracker.mostCurrent,68);
if (RapidSub.canDelegate("service_start")) { return reparto_izca.keymon.lat.tracker.remoteMe.runUserSub(false, "tracker","service_start", _startingintent);}
Debug.locals.put("StartingIntent", _startingintent);
 BA.debugLineNum = 68;BA.debugLine="Sub Service_Start (StartingIntent As Intent)";
Debug.ShouldStop(8);
 BA.debugLineNum = 69;BA.debugLine="LogColor(\"Iniciando Tracker ...\", Colors.Green)";
Debug.ShouldStop(16);
tracker.mostCurrent.__c.runVoidMethod ("LogImpl","873334785",BA.ObjectToString("Iniciando Tracker ..."),tracker.mostCurrent.__c.getField(false,"Colors").getField(true,"Green"));
 BA.debugLineNum = 70;BA.debugLine="Service.StopAutomaticForeground";
Debug.ShouldStop(32);
tracker.mostCurrent._service.runVoidMethod ("StopAutomaticForeground");
 BA.debugLineNum = 72;BA.debugLine="StartServiceAt(Me, DateTime.Now + 10 * DateTime.T";
Debug.ShouldStop(128);
tracker.mostCurrent.__c.runVoidMethod ("StartServiceAt",tracker.processBA,(Object)(tracker.getObject()),(Object)(RemoteObject.solve(new RemoteObject[] {tracker.mostCurrent.__c.getField(false,"DateTime").runMethod(true,"getNow"),RemoteObject.createImmutable(10),tracker.mostCurrent.__c.getField(false,"DateTime").getField(true,"TicksPerMinute")}, "+*",1, 2)),(Object)(tracker.mostCurrent.__c.getField(true,"True")));
 BA.debugLineNum = 73;BA.debugLine="Track";
Debug.ShouldStop(256);
_track();
 BA.debugLineNum = 74;BA.debugLine="Starter.trackerActividad = Subs.fechaKMT(DateTime";
Debug.ShouldStop(512);
tracker.mostCurrent._starter._trackeractividad /*RemoteObject*/  = tracker.mostCurrent._subs.runMethod(true,"_fechakmt" /*RemoteObject*/ ,tracker.processBA,(Object)(BA.NumberToString(tracker.mostCurrent.__c.getField(false,"DateTime").runMethod(true,"getNow"))));
 BA.debugLineNum = 76;BA.debugLine="End Sub";
Debug.ShouldStop(2048);
return RemoteObject.createImmutable("");
}
catch (Exception e) {
			throw Debug.ErrorCaught(e);
		} 
finally {
			Debug.PopSubsStack();
		}}
public static void  _startflp() throws Exception{
try {
		Debug.PushSubsStack("StartFLP (tracker) ","tracker",30,tracker.processBA,tracker.mostCurrent,92);
if (RapidSub.canDelegate("startflp")) { reparto_izca.keymon.lat.tracker.remoteMe.runUserSub(false, "tracker","startflp"); return;}
ResumableSub_StartFLP rsub = new ResumableSub_StartFLP(null);
rsub.resume(null, null);
}
catch (Exception e) {
			throw Debug.ErrorCaught(e);
		} 
finally {
			Debug.PopSubsStack();
		}}
public static class ResumableSub_StartFLP extends BA.ResumableSub {
public ResumableSub_StartFLP(reparto_izca.keymon.lat.tracker parent) {
this.parent = parent;
}
java.util.LinkedHashMap<String, Object> rsLocals = new java.util.LinkedHashMap<String, Object>();
reparto_izca.keymon.lat.tracker parent;

@Override
public void resume(BA ba, RemoteObject result) throws Exception{
try {
		Debug.PushSubsStack("StartFLP (tracker) ","tracker",30,tracker.processBA,tracker.mostCurrent,92);
Debug.locals = rsLocals;Debug.currentSubFrame.locals = rsLocals;

    while (true) {
        switch (state) {
            case -1:
return;

case 0:
//C
this.state = 1;
 BA.debugLineNum = 94;BA.debugLine="Do While FLP.IsConnected = False";
Debug.ShouldStop(536870912);
if (true) break;

case 1:
//do while
this.state = 4;
while (RemoteObject.solveBoolean("=",parent._flp.runMethod(true,"IsConnected"),parent.mostCurrent.__c.getField(true,"False"))) {
this.state = 3;
if (true) break;
}
if (true) break;

case 3:
//C
this.state = 1;
 BA.debugLineNum = 95;BA.debugLine="Sleep(500)";
Debug.ShouldStop(1073741824);
parent.mostCurrent.__c.runVoidMethod ("Sleep",tracker.processBA,anywheresoftware.b4a.pc.PCResumableSub.createDebugResumeSub(this, "tracker", "startflp"),BA.numberCast(int.class, 500));
this.state = 5;
return;
case 5:
//C
this.state = 1;
;
 if (true) break;

case 4:
//C
this.state = -1;
;
 BA.debugLineNum = 100;BA.debugLine="FLP.RequestLocationUpdates(CreateLocationRequest";
Debug.ShouldStop(8);
parent._flp.runVoidMethod ("RequestLocationUpdates",(Object)((_createlocationrequest().getObject())));
 BA.debugLineNum = 103;BA.debugLine="flpStarted = True";
Debug.ShouldStop(64);
parent._flpstarted = parent.mostCurrent.__c.getField(true,"True");
 BA.debugLineNum = 105;BA.debugLine="End Sub";
Debug.ShouldStop(256);
if (true) break;

            }
        }
    }
catch (Exception e) {
			throw Debug.ErrorCaught(e);
		} 
finally {
			Debug.PopSubsStack();
		}}
}
public static void  _startflp2reqs() throws Exception{
try {
		Debug.PushSubsStack("StartFLP2Reqs (tracker) ","tracker",30,tracker.processBA,tracker.mostCurrent,107);
if (RapidSub.canDelegate("startflp2reqs")) { reparto_izca.keymon.lat.tracker.remoteMe.runUserSub(false, "tracker","startflp2reqs"); return;}
ResumableSub_StartFLP2Reqs rsub = new ResumableSub_StartFLP2Reqs(null);
rsub.resume(null, null);
}
catch (Exception e) {
			throw Debug.ErrorCaught(e);
		} 
finally {
			Debug.PopSubsStack();
		}}
public static class ResumableSub_StartFLP2Reqs extends BA.ResumableSub {
public ResumableSub_StartFLP2Reqs(reparto_izca.keymon.lat.tracker parent) {
this.parent = parent;
}
java.util.LinkedHashMap<String, Object> rsLocals = new java.util.LinkedHashMap<String, Object>();
reparto_izca.keymon.lat.tracker parent;

@Override
public void resume(BA ba, RemoteObject result) throws Exception{
try {
		Debug.PushSubsStack("StartFLP2Reqs (tracker) ","tracker",30,tracker.processBA,tracker.mostCurrent,107);
Debug.locals = rsLocals;Debug.currentSubFrame.locals = rsLocals;

    while (true) {
        switch (state) {
            case -1:
return;

case 0:
//C
this.state = 1;
 BA.debugLineNum = 108;BA.debugLine="If B4XPages.MainPage.logger Then Log(\"StartFLP -";
Debug.ShouldStop(2048);
if (true) break;

case 1:
//if
this.state = 6;
if (parent.mostCurrent._b4xpages.runMethod(false,"_mainpage" /*RemoteObject*/ ,tracker.processBA).getField(true,"_logger" /*RemoteObject*/ ).<Boolean>get().booleanValue()) { 
this.state = 3;
;}if (true) break;

case 3:
//C
this.state = 6;
parent.mostCurrent.__c.runVoidMethod ("LogImpl","873531393",RemoteObject.concat(RemoteObject.createImmutable("StartFLP - flpStarted="),parent._flpstarted),0);
if (true) break;

case 6:
//C
this.state = 7;
;
 BA.debugLineNum = 109;BA.debugLine="Do While FLP.IsConnected = False";
Debug.ShouldStop(4096);
if (true) break;

case 7:
//do while
this.state = 16;
while (RemoteObject.solveBoolean("=",parent._flp.runMethod(true,"IsConnected"),parent.mostCurrent.__c.getField(true,"False"))) {
this.state = 9;
if (true) break;
}
if (true) break;

case 9:
//C
this.state = 10;
 BA.debugLineNum = 110;BA.debugLine="Sleep(500)";
Debug.ShouldStop(8192);
parent.mostCurrent.__c.runVoidMethod ("Sleep",tracker.processBA,anywheresoftware.b4a.pc.PCResumableSub.createDebugResumeSub(this, "tracker", "startflp2reqs"),BA.numberCast(int.class, 500));
this.state = 29;
return;
case 29:
//C
this.state = 10;
;
 BA.debugLineNum = 111;BA.debugLine="If B4XPages.MainPage.logger Then Log(\"sleeping G";
Debug.ShouldStop(16384);
if (true) break;

case 10:
//if
this.state = 15;
if (parent.mostCurrent._b4xpages.runMethod(false,"_mainpage" /*RemoteObject*/ ,tracker.processBA).getField(true,"_logger" /*RemoteObject*/ ).<Boolean>get().booleanValue()) { 
this.state = 12;
;}if (true) break;

case 12:
//C
this.state = 15;
parent.mostCurrent.__c.runVoidMethod ("LogImpl","873531396",RemoteObject.createImmutable("sleeping GR"),0);
if (true) break;

case 15:
//C
this.state = 7;
;
 if (true) break;

case 16:
//C
this.state = 17;
;
 BA.debugLineNum = 113;BA.debugLine="dameUltimaUbicacionConocida 'Regresamos ultima ub";
Debug.ShouldStop(65536);
_dameultimaubicacionconocida();
 BA.debugLineNum = 114;BA.debugLine="FLP.RequestLocationUpdates(CreateLocationRequest2";
Debug.ShouldStop(131072);
parent._flp.runVoidMethod ("RequestLocationUpdates",(Object)((_createlocationrequest2times().getObject())));
 BA.debugLineNum = 115;BA.debugLine="If B4XPages.MainPage.logger Then Log(\"Buscamos ub";
Debug.ShouldStop(262144);
if (true) break;

case 17:
//if
this.state = 22;
if (parent.mostCurrent._b4xpages.runMethod(false,"_mainpage" /*RemoteObject*/ ,tracker.processBA).getField(true,"_logger" /*RemoteObject*/ ).<Boolean>get().booleanValue()) { 
this.state = 19;
;}if (true) break;

case 19:
//C
this.state = 22;
parent.mostCurrent.__c.runVoidMethod ("LogImpl","873531400",RemoteObject.createImmutable("Buscamos ubicacion 2 peticiones"),0);
if (true) break;

case 22:
//C
this.state = 23;
;
 BA.debugLineNum = 116;BA.debugLine="If B4XPages.MainPage.logger Then Log(actualLR.Get";
Debug.ShouldStop(524288);
if (true) break;

case 23:
//if
this.state = 28;
if (parent.mostCurrent._b4xpages.runMethod(false,"_mainpage" /*RemoteObject*/ ,tracker.processBA).getField(true,"_logger" /*RemoteObject*/ ).<Boolean>get().booleanValue()) { 
this.state = 25;
;}if (true) break;

case 25:
//C
this.state = 28;
parent.mostCurrent.__c.runVoidMethod ("LogImpl","873531401",BA.NumberToString(parent._actuallr.runMethod(true,"GetSmallestDisplacement")),0);
if (true) break;

case 28:
//C
this.state = -1;
;
 BA.debugLineNum = 117;BA.debugLine="End Sub";
Debug.ShouldStop(1048576);
if (true) break;

            }
        }
    }
catch (Exception e) {
			throw Debug.ErrorCaught(e);
		} 
finally {
			Debug.PopSubsStack();
		}}
}
public static RemoteObject  _stopflp() throws Exception{
try {
		Debug.PushSubsStack("StopFLP (tracker) ","tracker",30,tracker.processBA,tracker.mostCurrent,154);
if (RapidSub.canDelegate("stopflp")) { return reparto_izca.keymon.lat.tracker.remoteMe.runUserSub(false, "tracker","stopflp");}
 BA.debugLineNum = 154;BA.debugLine="Public Sub StopFLP";
Debug.ShouldStop(33554432);
 BA.debugLineNum = 156;BA.debugLine="If flpStarted Then";
Debug.ShouldStop(134217728);
if (tracker._flpstarted.<Boolean>get().booleanValue()) { 
 BA.debugLineNum = 157;BA.debugLine="FLP.RemoveLocationUpdates  'Eliminamos todas las";
Debug.ShouldStop(268435456);
tracker._flp.runVoidMethod ("RemoveLocationUpdates");
 BA.debugLineNum = 158;BA.debugLine="flpStarted = False";
Debug.ShouldStop(536870912);
tracker._flpstarted = tracker.mostCurrent.__c.getField(true,"False");
 };
 BA.debugLineNum = 160;BA.debugLine="End Sub";
Debug.ShouldStop(-2147483648);
return RemoteObject.createImmutable("");
}
catch (Exception e) {
			throw Debug.ErrorCaught(e);
		} 
finally {
			Debug.PopSubsStack();
		}}
public static RemoteObject  _track() throws Exception{
try {
		Debug.PushSubsStack("Track (tracker) ","tracker",30,tracker.processBA,tracker.mostCurrent,78);
if (RapidSub.canDelegate("track")) { return reparto_izca.keymon.lat.tracker.remoteMe.runUserSub(false, "tracker","track");}
 BA.debugLineNum = 78;BA.debugLine="Public Sub Track";
Debug.ShouldStop(8192);
 BA.debugLineNum = 79;BA.debugLine="If B4XPages.MainPage.logger Then Log(\"Inicia Trac";
Debug.ShouldStop(16384);
if (tracker.mostCurrent._b4xpages.runMethod(false,"_mainpage" /*RemoteObject*/ ,tracker.processBA).getField(true,"_logger" /*RemoteObject*/ ).<Boolean>get().booleanValue()) { 
tracker.mostCurrent.__c.runVoidMethod ("LogImpl","873400321",RemoteObject.concat(RemoteObject.createImmutable("Inicia Track - Tracking : "),tracker._tracking),0);};
 BA.debugLineNum = 80;BA.debugLine="If Tracking Then";
Debug.ShouldStop(32768);
if (tracker._tracking.<Boolean>get().booleanValue()) { 
 BA.debugLineNum = 82;BA.debugLine="Return 'Si ya estamos \"rastreando\" no hacemos na";
Debug.ShouldStop(131072);
if (true) return RemoteObject.createImmutable("");
 };
 BA.debugLineNum = 84;BA.debugLine="If Starter.rp.Check(Starter.rp.PERMISSION_ACCESS_";
Debug.ShouldStop(524288);
if (RemoteObject.solveBoolean("=",tracker.mostCurrent._starter._rp /*RemoteObject*/ .runMethod(true,"Check",(Object)(tracker.mostCurrent._starter._rp /*RemoteObject*/ .getField(true,"PERMISSION_ACCESS_FINE_LOCATION"))),tracker.mostCurrent.__c.getField(true,"False"))) { 
 BA.debugLineNum = 85;BA.debugLine="If B4XPages.MainPage.logger Then Log(\"No permiss";
Debug.ShouldStop(1048576);
if (tracker.mostCurrent._b4xpages.runMethod(false,"_mainpage" /*RemoteObject*/ ,tracker.processBA).getField(true,"_logger" /*RemoteObject*/ ).<Boolean>get().booleanValue()) { 
tracker.mostCurrent.__c.runVoidMethod ("LogImpl","873400327",RemoteObject.createImmutable("No permission"),0);};
 BA.debugLineNum = 86;BA.debugLine="Return";
Debug.ShouldStop(2097152);
if (true) return RemoteObject.createImmutable("");
 };
 BA.debugLineNum = 88;BA.debugLine="StartFLP 'Iniciamos FusedLocationProvider";
Debug.ShouldStop(8388608);
_startflp();
 BA.debugLineNum = 89;BA.debugLine="Tracking = True";
Debug.ShouldStop(16777216);
tracker._tracking = tracker.mostCurrent.__c.getField(true,"True");
 BA.debugLineNum = 90;BA.debugLine="End Sub";
Debug.ShouldStop(33554432);
return RemoteObject.createImmutable("");
}
catch (Exception e) {
			throw Debug.ErrorCaught(e);
		} 
finally {
			Debug.PopSubsStack();
		}}
}